Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 598931 - no mic input on thinkpad t61
no mic input on thinkpad t61
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pulseaudio (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Wim Taymans
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 07:09 EDT by Chris Ward
Modified: 2016-06-13 03:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 520402
Environment:
Last Closed: 2016-06-13 03:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2010-06-02 07:09:33 EDT
The problem i'm having is that when i install RHEL 6 on my Lenovo T61 (Intel) it's selecting the wrong input device by default. It chooses 'Microphone 1' but this one appears not to be correct. 'Microphone 2' is the working microphone.

I believe this default was already fixed upstream, but my experience with rhel 6 is the same as when i reported this against fedora 12.

 
To reproduce this: install RHEL 6 on T61 (Intel) and check that input is working out of the box (ie, that Microphone 2 is selected).


My guess, based on previous discussions on this topic (cloned comments below) is that 

[Option Input Source:Internal Mic]

should have higher priority than 

[Option Input Source:Mic]


But not sure really.



+++ This bug was initially created as a clone of Bug #520402 +++

Description of problem:

I'm running the latest F12 rawhide bits and my sound works but the Mic is not being picked up for some reason. Everything works just fine though in my F11 install; on the same system. Both F11 and F12 are bare-metal installs


Version-Release number of selected component (if applicable):
uname -a
Linux cward.englab.brq.redhat.com 2.6.31-0.125.4.2.rc5.git2.fc12.x86_64 #1 SMP Tue Aug 11 21:00:45 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

rpm -qa pulseaudio
pulseaudio-0.9.16-11.test6.fc12.x86_64

rpm -qa alsa\*
alsa-utils-1.0.20-4.fc12.x86_64
alsa-plugins-pulseaudio-1.0.20-5.fc12.i686
alsa-lib-1.0.20-2.fc12.x86_64
alsa-lib-1.0.20-2.fc12.i686
alsa-plugins-pulseaudio-1.0.20-5.fc12.x86_64


lsmod |grep hda
snd_hda_codec_analog    78528  1 
snd_hda_intel          31528  3 
snd_hda_codec          80448  2 snd_hda_codec_analog,snd_hda_intel
snd_hwdep               9792  1 snd_hda_codec
snd_pcm                90360  3 snd_hda_intel,snd_hda_codec
snd                    74776  11 snd_hda_codec_analog,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm,snd_timer
snd_page_alloc         10464  2 snd_hda_intel,snd_pcm


Let me know what else i can provide to debug this issue.

--- Additional comment from lpoetter@redhat.com on 2009-08-31 14:13:30 EDT ---

Please use "gnome-volume-control" and select which input should be used for recording.

--- Additional comment from cward@redhat.com on 2009-09-01 05:43:17 EDT ---

I appreciate the response. I have only one input mic and it is selected.

--- Additional comment from lpoetter@redhat.com on 2009-09-01 11:28:39 EDT ---

Are you sure? 

The mic selection drop-down menu is not shown at all if you only have exactly one mic port on a specific sound card. Which makes your comment a bit strange? How can you say something is selected that is not shown? Could you please attacha screenshot?

--- Additional comment from cward@redhat.com on 2009-09-01 11:53:10 EDT ---

Created an attachment (id=359414)
volume control input tab

input tab. 1 of 1 option selected.

rpm -q --whatprovides `which gnome-volume-control`
gnome-media-2.27.90.fix-1.fc12.x86_64

--- Additional comment from cward@redhat.com on 2009-09-01 11:56:34 EDT ---

Created an attachment (id=359415)
volume control hardware tab

here's the hardware tab, 1 output / 1 input.

--- Additional comment from cward@redhat.com on 2009-09-01 11:57:18 EDT ---

Let me know if i've filed this under the wrong component; if gnome-media is where the problem is by chance

--- Additional comment from mclasen@redhat.com on 2009-09-02 10:11:58 EDT ---

I can confirm this. I have a t61, and I have 'Analog Stereo Duplex' selected on the hardware tab and 'internal audio analog stereo' on the input tab. Tapping next to the microphone shows no response at all on the input level meter.

--- Additional comment from cward@redhat.com on 2009-09-02 10:57:47 EDT ---

Thanks for the confirmation. I hope this issue gets fixed relatively quickly; i need my mic :) I'm still confused about comment #3 though, why it seems like the UI i'm looking at is different from the one Lennart is looking at.

--- Additional comment from lpoetter@redhat.com on 2009-09-02 11:10:02 EDT ---

(In reply to comment #8)
> Thanks for the confirmation. I hope this issue gets fixed relatively quickly; i
> need my mic :) I'm still confused about comment #3 though, why it seems like
> the UI i'm looking at is different from the one Lennart is looking at.  

Nah, your input tab shows no dropdown for selecting the input. WHich is expected if you only have a single input.

Could you please do a "alsactl init", then please attach the output of "pacmd ls" and "amixer -c0" here. Then, please play around with "alsamixer -c0" and try to enable the mic input by some means. Then, please do another "alsamixer -c0". This should tell us which control you changed.

This is most likely just a mixer initialization issue, so we need to figure out what exactly gets misinitialized.

--- Additional comment from cward@redhat.com on 2009-09-02 11:31:42 EDT ---

I have to say i have no idea what i'm doing here, but i got it working. I'm going to restart and see if it still works... and if it's broken, try to reproduce the fix again. But in the mean time...i'm spill the beans about what i know. Basically, it seems the following turned things on.

amixer -c1 cset name='Capture Switch',index=1 values=on,on

The only difference between the amixer output though from when it wasn't working to when it was ...

[cward@cward ~]# diff amixer.out*
52,53c52,53
<   Front Left: Capture 45 [83%] [9.00dB] [on]
<   Front Right: Capture 45 [83%] [9.00dB] [on]
---
>   Front Left: Capture 54 [100%] [22.50dB] [on]
>   Front Right: Capture 54 [100%] [22.50dB] [on]

I'll attach all the relevant output.

--- Additional comment from cward@redhat.com on 2009-09-02 11:32:23 EDT ---

Created an attachment (id=359550)
pacmd output

--- Additional comment from cward@redhat.com on 2009-09-02 11:32:49 EDT ---

Created an attachment (id=359551)
amixer (broken config)

--- Additional comment from cward@redhat.com on 2009-09-02 11:33:17 EDT ---

Created an attachment (id=359552)
amixer (working config)

--- Additional comment from cward@redhat.com on 2009-09-02 11:40:21 EDT ---

Jumped the gun, obviously. Restarted, tried the same command and mic isn't working... continue the debug

--- Additional comment from cward@redhat.com on 2009-09-02 11:48:24 EDT ---

okay, so the magic wasn't in the random command i issued (probably badly anyway) but it was with the initial `alsactrl init`

I restarted again and checked that mic wasn't working. Then i issued only alsactrl init and checked again. It's working. I recorded a test file to be sure. Works fine and dandy...

--- Additional comment from cward@redhat.com on 2009-09-02 11:56:37 EDT ---

Lennart, final conclusion for the day. diff between amixer out BAD and WORKING (after `alsactrl init` only).

...
Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Mic' 'Internal Mic' 'Mix' 'Docking-Station'
  Item0: 'Mic'
82c82
<   Item0: 'Mic'
---
>   Item0: 'Internal Mic'

So 'Mic' is not working but when Item0 is 'Internal Mic' it is, apparently.

--- Additional comment from lpoetter@redhat.com on 2009-09-02 22:52:03 EDT ---

Ah, nice. This is very helpful!

Could you please grab this file:

http://git.0pointer.de/?p=pulseaudio.git;a=blob_plain;f=src/modules/alsa/mixer/paths/analog-input.conf.common;h=87af38b3ed57a93c118c0268eb451ee0ba6fdfb2;hb=8cd635bc614834c13d0f1c586d472b4a52b98664

and stick it into /usr/share/pulseaudio/alsa-mixer/paths/analog-input.conf.common?

Then, please restart PA (try pulseaudio -k). Now you should have the input dropdown menu populated and can easily switch between the internal mike and the one you can plug in.

The fix is now in PA git, will enter rawhide as soon as I do another upload.

--- Additional comment from cward@redhat.com on 2009-09-03 02:50:22 EDT ---

Yup. Works. Will my selection of the preferred mic save as default? i guess I'll see when i restart next...

--- Additional comment from lpoetter@redhat.com on 2009-09-03 10:49:50 EDT ---

Yes, it will be saved. If it isn't it's a bug.

--- Additional comment from cward@redhat.com on 2009-09-09 03:59:38 EDT ---

I'm running pulseaudio-0.9.16-13.test7.fc12.x86_64 and mic isn't working at startup still. I have to run alasctrl init.

Same symptom. There's only one option available in the sound config 

Let me know what other info u need / things i can try

--- Additional comment from cward@redhat.com on 2009-09-09 04:25:48 EDT ---

Seems the file provided in comment #17 which i had installed has been reset back to it original state (must have done so during last update). When updating the file again to the one provide in comment #17, things work as expected when i load gnome.

--- Additional comment from lpoetter@redhat.com on 2009-09-09 17:04:32 EDT ---

So will close this again.

The file is not yet updated in the PA version in rawhide, but is upstream. As soon as I upload a new snapshot this will be fixed inr awhide.
Comment 1 RHEL Product and Program Management 2010-06-02 07:25:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 James Laska 2010-06-02 08:50:16 EDT
Removing dependency on Fedora bugs.  I'm pretty sure this doesn't block the release of Fedora 12 :)
Comment 3 Matthias Clasen 2010-06-10 14:00:16 EDT
Lennart, you last comment in the cloned bug sounds like this should have been fixed long ago ?
Comment 4 RHEL Product and Program Management 2010-07-15 10:32:45 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Paul Lambert 2010-11-14 00:21:06 EST
You might be interested in reading the attached document to bug 653016 and adding your thoughts.
Comment 6 Chris Ward 2016-06-13 03:45:04 EDT
Stale bug clean up; reopen if anyone else actually supports this.

Note You need to log in before you can comment on or make changes to this bug.